Package org.apache.datasketches.cpc

# Class CompressionCharacterization

java.lang.Object
org.apache.datasketches.cpc.CompressionCharacterization

public class CompressionCharacterization extends Object
This code is used both by unit tests, for short running tests, and by the characterization repository for longer running, more exhaustive testing. To be accessible for both, this code is part of the main hierarchy. It is not used during normal production runtime.

Author:
  Lee Rhodes, Kevin Lang

## Constructor Summary

Constructors
Constructor
Description
`CompressionCharacterization(int lgMinK, int lgMaxK, int lgMinT, int lgMaxT, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)`
Only used in test.

## Method Summary

Modifier and Type
Method
Description
`void`
`start()`
Only used in test

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompressionCharacterization

public CompressionCharacterization(int lgMinK, int lgMaxK, int lgMinT, int lgMaxT, int lgMulK, int uPPO, int incLgK, PrintStream pS, PrintWriter pW)
Only used in test.

Parameters:
  `lgMinK` - min lgK
  `lgMaxK` - max lgK
  `lgMinT` - min lgTrials
  `lgMaxT` - max lgTrials
  `lgMulK` - lg multiple
  `uPPO` - unique axis Points Per Octave
  `incLgK` - increment lgK
  `pS` - PrintStream
  `pW` - PrintWriter

## Method Details

### start

public void start()
Only used in test